=== debian/changelog ===
scgi-cgi (0.1.1-4) unstable; urgency=medium

  * fixed -dbg package

 -- Stefan Bühler <stbuehler@web.de>  Sat, 27 Jun 2015 18:06:29 +0200

scgi-cgi (0.1.1-3) unstable; urgency=low

  * Package rebuild

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Jun 2015 12:24:23 +0000

scgi-cgi (0.1.1-2) unstable; urgency=medium

  * move to dh from cdbs
  * use new xz tarball
  * update Standards-Version to 3.9.6 (no changes)
  * build with autotools instead of cmake
  * add jenkins@lighttpd.net to uploaders

 -- Jenkins (autobuilder) <jenkins@lighttpd.net>  Sat, 27 Jun 2015 13:21:26 +0200

scgi-cgi (0.1.1-1) unstable; urgency=low

  * include cmake directory in dist
  * release 0.1.1

 -- Stefan Bühler <stbuehler@web.de>  Thu, 03 Oct 2013 14:02:08 +0200

scgi-cgi (0.1.0-1) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Thu, 03 Oct 2013 13:33:47 +0200

scgi-cgi (0.1.0-0) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <source@stbuehler.de>  Thu, 03 Oct 2013 13:33:46 +0200
