=== debian/control ===
Source: scgi-cgi
Section: web
Priority: extra
Maintainer: Stefan Bühler <stbuehler@web.de>
Uploaders: Jenkins (autobuilder) <jenkins@lighttpd.net>
Build-Depends: debhelper (>= 7.0.50~), libevent-dev (>= 2.0), pkg-config
Standards-Version: 3.9.6
Homepage: http://redmine.lighttpd.net/projects/scgi-cgi

Package: scgi-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SCGI application to run cgi applications
 SCGI application to run normal cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.

Package: scgi-cgi-dbg
Architecture: any
Section: debug
Priority: extra
Depends: scgi-cgi (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SCGI application to run cgi applications
 SCGI application to run normal cgi applications; this allows one to run
 cgi applications with different user permissions than the webserver
 without using suExec wrappers.
 And the webserver doesn't need to fork, and it may be easier to get
 the webserver running in a chroot.
 .
 This package contains the debug symbols.
